Page MenuHomePhabricator

"Script file not found: worker-json.js" appears after opening the Graph editor dialog
Closed, ResolvedPublic1 Story Points

Description

"Script file not found: worker-json.js" appears after opening the Graph editor dialog

Event Timeline

Ryasmeen created this task.Nov 17 2015, 7:38 PM
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 17 2015, 7:38 PM
Ryasmeen set Security to None.
ferdbold triaged this task as High priority.Nov 17 2015, 8:05 PM
ferdbold raised the priority of this task from High to Needs Triage.
ferdbold added a subscriber: ferdbold.EditedNov 17 2015, 11:32 PM

This file is part of Ace Editor and not MW, so in theory this should happen anywhere ve.ui.MWAceEditorWidget is being used

Jdforrester-WMF triaged this task as Normal priority.Nov 18 2015, 9:19 PM
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.
Jdforrester-WMF edited a custom field.
TheDJ added a subscriber: TheDJ.EditedNov 30 2015, 7:36 PM

This is because the editor was not correctly initialized. Please see first part of the function setupCodeEditor() in jquery.codeEditor.js.

Only some of the files for ACE are ResourceLoader modules, but many are actually directly loaded from the base path (this was more efficient).

ferdbold closed this task as Resolved.EditedJan 2 2016, 8:19 PM

Closing this as it doesn't happen anymore in local as well as on mediawiki.org